# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sys-boot/aboot/aboot-0.9-r1.ebuild,v 1.6 2005/03/01 23:06:36 kloeri Exp $

DESCRIPTION="Mkimage for Das U-boot - Universal bootloader for various hardware"
HOMEPAGE="http://u-boot.sourceforge.net/"
SRC_URI="http://distro.ibiblio.org/pub/linux/distributions/pdaxrom/download/1.1.0beta3/src/${PN}-${PV}.tar.bz2"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="arm x86"
IUSE=""

DEPEND="virtual/libc"
#PROVIDE="virtual/bootloader"

src_unpack() {
	unpack ${A}
	cd ${S}
}

src_compile() {
	emake || die
	ls
}

src_install() {
	ls
	mkdir -p ./../../image/usr/local/arm
	cp ./mkimage ./../../image/usr/local/arm/
	cp ./readme.txt ./../../image/usr/local/arm/
	insinto /usr/local/arm/
}

pkg_postinst() {
	einfo "Compleat"
}
